"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const keys = require("../../../../core/utils/keys/keys.cjs");
require("react");
require("react/jsx-runtime");
require("clsx");
const getBaseSize = require("../get-base-size/get-base-size.cjs");
const getPaddingValue = require("../get-padding-value/get-padding-value.cjs");
const isPrimitiveSize = require("../is-primitive-size/is-primitive-size.cjs");
const isResponsiveSize = require("../is-responsive-size/is-responsive-size.cjs");
function assignPaddingVariables({
  padding,
  baseStyles,
  minMediaStyles
}) {
  if (isPrimitiveSize.isPrimitiveSize(padding)) {
    baseStyles["--app-shell-padding"] = getPaddingValue.getPaddingValue(getBaseSize.getBaseSize(padding));
  }
  if (isResponsiveSize.isResponsiveSize(padding)) {
    if (padding.base) {
      baseStyles["--app-shell-padding"] = getPaddingValue.getPaddingValue(padding.base);
    }
    keys.keys(padding).forEach((key) => {
      if (key !== "base") {
        minMediaStyles[key] = minMediaStyles[key] || {};
        minMediaStyles[key]["--app-shell-padding"] = getPaddingValue.getPaddingValue(padding[key]);
      }
    });
  }
}
exports.assignPaddingVariables = assignPaddingVariables;
